Skip to main content
`Ctrl`+`K`

# TimeSys

class astropy.io.votable.tree.TimeSys(ID=None, timeorigin=None, timescale=None, refposition=None, id=None, config=None, pos=None, **extra)

  Bases: `SimpleElement`

  TIMESYS element: defines a time system.

  The keyword arguments correspond to setting members of the same name, documented below.

  Attributes Summary

  `ID` | [required] The XML ID of the TIMESYS element, used for cross-referencing.
  `refposition` | [required] String specifying the reference position.
  `timeorigin` | Specifies the time origin of the time coordinate, given as a Julian Date for the time scale and reference point defined.
  `timescale` | [required] String specifying the time scale used.

  Attributes Documentation

  ID

    [required] The XML ID of the TIMESYS element, used for cross-referencing. Must be a string conforming to XML ID syntax.

  refposition

    [required] String specifying the reference position. Values should be taken from the IVOA refposition vocabulary (documented at http://www.ivoa.net/rdf/refposition).

  timeorigin

    Specifies the time origin of the time coordinate, given as a Julian Date for the time scale and reference point defined. It is usually given as a floating point literal; for convenience, the magic strings “MJD-origin” (standing for 2400000.5) and “JD-origin” (standing for 0) are also allowed.

    The timeorigin attribute MUST be given unless the time’s representation contains a year of a calendar era, in which case it MUST NOT be present. In VOTables, these representations currently are Gregorian calendar years with xtype=”timestamp”, or years in the Julian or Besselian calendar when a column has yr, a, or Ba as its unit and no time origin is given.

  timescale

    [required] String specifying the time scale used. Values should be taken from the IVOA timescale vocabulary (documented at http://www.ivoa.net/rdf/timescale).